Skip to main content
`Ctrl`+`K`
scipy.interpolate.NearestNDInterpolator.

# __call__

NearestNDInterpolator.__call__(*args, **query_options)

  Evaluate interpolator at given points.

  Parameters:
    x1, x2, … xn array-like of float

      Points where to interpolate data at. x1, x2, … xn can be array-like of float with broadcastable shape. or x1 can be array-like of float with shape `(..., ndim)`

    **query_options

      This allows `eps`, `p`, `distance_upper_bound`, and `workers` being passed to the cKDTree’s query function to be explicitly set. See `scipy.spatial.cKDTree.query` for an overview of the different options.

      Added in version 1.12.0.